import request from '@/utils/request'

export function listProductDiscount(query) {
  return request({
    url: '/store/store/productDiscount/list',
    method: 'get',
    params: query
  })
}

export function getProductDiscount(id) {
  return request({
    url: '/store/store/productDiscount/' + id,
    method: 'get'
  })
}

export function addProductDiscount(data) {
  return request({
    url: '/store/store/productDiscount',
    method: 'post',
    data: data
  })
}

export function updateProductDiscount(data) {
  return request({
    url: '/store/store/productDiscount',
    method: 'put',
    data: data
  })
}

export function delProductDiscount(id) {
  return request({
    url: '/store/store/productDiscount/' + id,
    method: 'delete'
  })
}
